Webhooks
List Webhooks
AuthorizationBasic <token>
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Query Parameters
EntitySid?string
SID of an associated entity. For example IM SID for inbound message webhooks.
Type?string
Webhook type.
Value in
- "TcrCampaignImported"
- "PhoneNumberStatusChanged"
- "PhoneNumberVoiceStatusChanged"
- "TrafficLimitAlert"
- "InboundCallReceived"
- "InboundCallReceivedFallback"
- "CallStatusChanged"
- "CallRecordingCompleted"
- "OutboundMessageStatusChanged"
- "InboundMessageReceived"
- "OptInOutReceived"
- "RcsOutboundMessageStatusChanged"
- "RcsInboundMessageReceived"
- "RcsInboundUserAction"
- "RcsMessageSeen"
- "RcsTypingIndicator"
Status?string
Webhook status.
Value in
- "Success"
- "Failure"
- "Reprocessing"
CreatedOnFrom?string
Minimal date and time when webhook was created.
Format
date-timeCreatedOnTo?string
Maximal date and time when webhook was created.
Format
date-timeLastAttemptOnFrom?string
Minimal date and time when last attempt to process webhook has occurred.
Format
date-timeLastAttemptOnTo?string
Maximal date and time when last attempt to process webhook has occurred.
Format
date-timePageSize?integer
Format
int32Range
1 <= value <= 10000OrderByDirection?string
Possible values:
-
Ascending
-
Descending
Value in
- "Ascending"
- "Descending"
SearchId?string
Response Body
curl -X GET "https://example.com/v1/Webhooks/history"{ "items": [ { "createdOn": "2023-09-09T15:00:00.000Z", "sid": "string", "type": "TcrCampaignImported", "status": "Success", "payload": "string", "entitySid": "string" } ], "searchId": "string"}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}